Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83033 - rpm -e segfaults
Summary: rpm -e segfaults
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL: http://stuart.kicks-ass.net/~dave/mis...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-29 18:23 UTC by David Stuart
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-30 18:32:52 UTC


Attachments (Terms of Use)
An "strace" of the entire operation (deleted)
2003-01-29 18:25 UTC, David Stuart
no flags Details
output from a "rpm --rebuilddb -vv" (deleted)
2003-01-29 18:27 UTC, David Stuart
no flags Details
NVIDIA_GLX file list (deleted)
2003-01-30 18:31 UTC, Jeff Johnson
no flags Details
Upgrade log for the 7.2 to 7.3 upgrade. (deleted)
2003-01-30 20:30 UTC, David Stuart
no flags Details

Description David Stuart 2003-01-29 18:23:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I was hoping you might be able to help me with a little problem. I just upgraded
from RH 7.2 to RH 7.3, and after doing this, "rpm -e" is segfaulting (making it
tough for me to remove some unnecessary rpms)..

For example:

[root@cpe008[root@cpe0080c6f8615f Downloads]# rpm -e NVIDIA_GLX
Segmentation fault

[root@cpe0[root@cpe0080c6f8615f Downloads]# rpm -V rpm
.....UG. c /var/lib/rpm/__db.001
.....UG. c /var/lib/rpm/__db.002

There's only those two files at issue within rpm itself (but that's just a group
ownership thing). I've tried removing them and doing a --rebuilddb, but it
didn't fix the problem.

[root@cpe0080c6f8615f Downloads]# rpm --query rpm
rpm-4.0.4-7x.18

[root@cpe0080c6f8615f lib]# rpm -vv -e NVIDIA_GLX
D: opening  db environment /var/lib/rpm/Packages create:mpool
D: opening  db index       /var/lib/rpm/Packages  mode=0x82
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name  mode=0x82
D: ========== --- NVIDIA_GLX-1.0-2960
D: opening  db index       /var/lib/rpm/Requirename  mode=0x82
D: opening  db index       /var/lib/rpm/Depends create mode=0x82
D: opening  db index       /var/lib/rpm/Providename  mode=0x82
D:  Requires: libGL.so.1                                    YES (db provides)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D:  Requires: R libGL.so.1                                  YES (cached)
D: closed   db index       /var/lib/rpm/Depends
D: opening  db index       /var/lib/rpm/Basenames  mode=0x82
D:     erase: NVIDIA_GLX-1.0-2960 has 17 files, test = 0
Segmentation fault

I will attempt to attach an "strace" of the operation

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -e NVIDIA_GLX
    

Actual Results:  I see "Segmentation Fault"

Expected Results:  Removal of the package

Additional info:

Comment 1 David Stuart 2003-01-29 18:25:50 UTC
Created attachment 89684 [details]
An "strace" of the entire operation

The result of an "strace rpm -e NVIDIA_GLX"

Comment 2 David Stuart 2003-01-29 18:27:18 UTC
Created attachment 89685 [details]
output from a "rpm --rebuilddb -vv"

At the request of Jeff Johnson <jbj@redhat.com>, I have added the output of an
rpm --rebuilddb -vv

Comment 3 David Stuart 2003-01-29 18:50:31 UTC
See the URL field for a link to my rpm database

Comment 4 Jeff Johnson 2003-01-30 18:28:10 UTC
Hmmm, after adding the Red Hat GPG key
    rpm --import /usr/share/doc/rpm-4*/RPM-GPG-KEY
all available signatures verify during --rebuilddb.

I've deleted the NVIDIA_GLX package, you'll need to
erase the files manually (file list attached).

A tarball of your database with NVIDIA_GLX is at
    ftp://people.redhat.com/jbj/rpmdb-83033-FIX.tar.gz

Download and install by doing
    cd /var/lib
    mv rpm rpm-SAVE
    tar xzvf rpmdb-83033-FIX.tar.gz
    rpm --rebuilddb -vv
You should install the public key
    rpm --import /usr/share/doc/rpm-4*/RPM-GPG-KEY
and verify by doing
    rpm -qavv

Then remove the NVIDIA_GLX files by downloading
the attachment, and doing (as root)
    rm -i `cat files-83033.list`

Reopen if further problems, as there may be something
else causing the segfault.

Comment 5 Jeff Johnson 2003-01-30 18:31:54 UTC
Created attachment 89721 [details]
NVIDIA_GLX file list

Comment 6 David Stuart 2003-01-30 20:30:07 UTC
Created attachment 89723 [details]
Upgrade log for the 7.2 to 7.3 upgrade.


Note You need to log in before you can comment on or make changes to this bug.